[Forgot Password]
Login  Register Subscribe

25354

 
 

132804

 
 

133543

 
 

909

 
 

108587

 
 

152

Paid content will be excluded from the download.


Download | Alert*
OVAL

Multiple vulnerabilities in utf8_decode function in PHP via a crafted string (Mac OS X)

ID: oval:org.secpod.oval:def:3036Date: (C)2011-11-15   (M)2019-10-11
Class: VULNERABILITYFamily: macos




The host is installed with PHP before 5.3.4 and is prone to multiple vulnerabilities. The flaws are present the application, which fails to properly handle non-shortest form UTF-8 encoding and ill-formed subsequences in UTF-8 data. Successful exploitation could allow attackers to bypass cross-site scripting (XSS) and SQL injection protection mechanisms.

Platform:
Apple Mac OS X 10.6
Apple Mac OS X Server 10.6
Reference:
CVE-2010-3870
CVE    1
CVE-2010-3870
CPE    2
cpe:/o:apple:mac_os_x
cpe:/o:apple:mac_os_x_server

© SecPod Technologies